/*

DotMac Button
by Corporatewidgets.com

----

THIS SOFTWARE AND SOURCE CODE ARE PROVIDED "AS IS" WITH NO WARRANTIES OR
GUARANTEES AS TO THEIR SAFTEY OR USABILITY. IN NO EVENT WILL THE AUTHOR(S) BE
HELD RESPONSABLE FOR ANY DAMAGES CAUSED BY THIS SOFTWARE AND/OR SOURCE CODE. NOR
SHALL THE AUTHOR(S) BE HELD RESPONSIBLE FOR ANY USES OF THIS SOFTWARE AND/OR
SOURCE CODE.

Any person is permitted to use this software and/or source code for any purpose.
Any person is permitted to access this source code, alter it, and/or use it in
other applications, provided due credit is given. Any person is permitted to
redistribute this software, provided due credit is given, and provided the
person does not make a profit expressly from this software. This software is not
to be sold for profit, under any circumstances, without the written permission
of the author(s).

Also, be aware this software features a check for updates feature. This access a
file on our server to check if it is up-to-date. This feature can be disabled by
viewing the widget's back (it's preferences).

ALL RIGHTS THAT HAVE NOT BEEN ADDRESSED HEREIN ARE RESERVED BY THE AUTHOR(S). BY
DOWNLOADING THIS SOFTWARE, USING THIS SOFTWARE AND/OR ACCESSING IT'S SOURCE
CODE, YOU AGREE TO THESE TERMS.

*/


/**** Load code ****/


var DotMacOnline = "http";



function loaded() {
	var checkPref = widget.preferenceForKey('updatePref');
	if (checkPref == 'true') {
		document.getElementById('update').checked = true;
		
		var lastCheck = widget.preferenceForKey('lastCheck');
		var d = new Date();
		var today = d.getDate();
		if (lastCheck != today) {
			currentVersion = getKeyValue('version.plist', 'CFBundleVersion');
			checkForUpdate();
			widget.setPreferenceForKey(today, 'lastCheck');
		}
	}
	else {
		document.getElementById('update').checked = false;
	}
}


/**** UtilityButton code ****/

function o() {
	var app = document.getElementById('menu').value;
	
	if (app == '') {
		return;
	}
	
	document.getElementById('menu').selectedIndex = 0;
	
	widget.openApplication(app);
}



/**** Flip code (from Apple) ****/

function showBack() 
{ 
	var front = document.getElementById('front'); 
	var back = document.getElementById('back'); 
	if (window.widget) 
		widget.prepareForTransition('ToBack'); 
	front.style.display='none'; 
	back.style.display='block'; 
	if (window.widget) 
		setTimeout ('widget.performTransition();', 0);  
} 

function hideBack() 
{ 
	var front = document.getElementById('front'); 
	var back = document.getElementById('back'); 
	if (window.widget) 
		widget.prepareForTransition('ToFront'); 
	back.style.display='none'; 
	front.style.display='block'; 
	exitflip();
	if (window.widget) 
		setTimeout ('widget.performTransition();', 0); 
} 

var flipShown = false; 
var animation = {duration:0, starttime:0, to:1.0, now:0.0, from:0.0, 
firstElement:null, timer:null}; 
function mousemove (event) 
{ 
	if (!flipShown) 
	{ 
		if (animation.timer != null) 
		{ 
			clearInterval (animation.timer); 
			animation.timer  = null; 
		} 
		var starttime = (new Date).getTime() - 13; 
		animation.duration = 500; 
		animation.starttime = starttime; 
		animation.firstElement = document.getElementById ('flip'); 
		animation.timer = setInterval ('animate();', 13); 
		animation.from = animation.now; 
		animation.to = 1.0; 
		animate(); 
		flipShown = true; 
	} 
} 
function mouseexit (event) 
{ 
	if (flipShown) 
	{ 
		// fade in the info button 
		if (animation.timer != null) 
		{ 
			clearInterval (animation.timer); 
			animation.timer  = null; 
		} 
		var starttime = (new Date).getTime() - 13; 
		animation.duration = 500; 
		animation.starttime = starttime; 
		animation.firstElement = document.getElementById ('flip'); 
		animation.timer = setInterval ('animate();', 13); 
		animation.from = animation.now; 
		animation.to = 0.0; 
		animate(); 
		flipShown = false; 
	} 
} 
function animate() 
{ 
	var T; 
	var ease; 
	var time = (new Date).getTime(); 
	T = limit_3(time-animation.starttime, 0, animation.duration); 
	if (T >= animation.duration) 
	{ 
		clearInterval (animation.timer); 
		animation.timer = null; 
		animation.now = animation.to; 
	} 
	else 
	{ 
		ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animation.duration)); 
		animation.now = computeNextFloat (animation.from, animation.to, ease); 
	} 
 animation.firstElement.style.opacity = animation.now; 
} 
function limit_3 (a, b, c) 
{ 
	return a < b ? b : (a > c ? c : a); 
} 
function computeNextFloat (from, to, ease) 
{ 
	return from + (to - from) * ease; 
} 

function enterflip(event) 
{ 
	document.getElementById('fliprollie').style.display = 'block'; 
} 
function exitflip(event) 
{ 
	document.getElementById('fliprollie').style.display = 'none'; 
	return;
} 